function su = sqdist_loglikelihood(theta, samples)
t = reshape(theta, [1 1 length(theta)]);
[r,f] = meshgrid(linspace(0,0.99,samples), linspace(0,2*pi,samples*pi));
x = r.*cos(f);
y = r.*sin(f);
S = sum(log(sqdist(t, x, y)), 3);
su = surf(x,y,S, 'EdgeColor', 'none');